import { ResultFileModel } from './ResultFileModel';
import { ILogger } from '../../interface';
import { StylishLogger } from '../StylishLogger';
declare class ResultModel extends StylishLogger {
    files: ResultFileModel[];
    hasError: boolean;
    hasWarning: boolean;
    readonly message: string;
    constructor(files?: ResultFileModel[], hasError?: boolean, hasWarning?: boolean, logger?: ILogger);
    printResult(): void;
}
export { ResultModel };
